<template>
  <div class="app-container">
    <el-card  style="height: 70px;margin-bottom: 10px" class="box-card" >
      <template>
        <div class="container">
          <el-row type="flex" justify="center"  style="text-align: center" >
            <el-col :span="12">
              <span style="fontSize:35px;color:black"><strong>发动机数据检查</strong></span>
            </el-col>
          </el-row>
        </div>
      </template>
    </el-card>
   <el-row :gutter="5"  style="margin-top: 10px">
     <el-col :span="10" style=" height:600px;width:800px"  >
       <el-card class="bottom-card">
         <el-descriptions :column="1" >
           <el-descriptions-item>
             <el-form ref="form" :model="form"  label-width="200px" style="height: 60px;margin-top: 20px" >
               <el-form-item prop="engineNo" >
      	     <span slot="label" style="font-size:45px;color:black"><strong>发动机号</strong></span>
                 <el-input style="font-size:30px" v-model="form.engineNo" placeholder="请输入发动机号" clearable  @keyup.enter.native="EngineNohandleChange" >
                   <el-button slot="append" plain type="info" @click="EngineNohandleChange(form.engineNo)" icon="el-icon-search"></el-button>
                 </el-input>
               </el-form-item>
             </el-form>
           </el-descriptions-item>
           <el-descriptions-item>
             <el-form ref="form" :model="form"  label-width="200px" style="height: 60px;margin-top: 20px" >
               <el-form-item   prop="productType" >
      	        <span slot="label" style="font-size:45px;color:black"><strong>机型</strong></span>
                 <el-input disabled style="font-size:30px"  value="form.productType" v-model="form.productType" placeholder="" />
               </el-form-item>
             </el-form>
           </el-descriptions-item>
           <el-descriptions-item>
             <el-form ref="form" :model="form"  label-width="200px" style="height: 60px;margin-top: 20px" >
               <el-form-item   prop="orderNo" >
      	     <span  slot="label" style="font-size:45px;color:black"><strong>工单编号</strong></span>
                 <el-input disabled style="font-size:30px" v-model="form.orderNo" placeholder="" />
               </el-form-item>
             </el-form>
           </el-descriptions-item>
           <el-descriptions-item>
             <el-form ref="form" :model="form"  label-width="200px" style="height: 60px;margin-top: 20px" >
               <el-form-item   prop="currentWorkstation" >
      	     <span slot="label" style="font-size:45px;color:black"><strong>质量状态</strong></span>
                 <el-input disabled style="font-size:30px" v-model:value="form.add" placeholder="" />
               </el-form-item>
             </el-form>
           </el-descriptions-item>
         </el-descriptions>
         <el-divider></el-divider>
         <el-row :gutter="10" class="mb8" type="flex" justify="center"  style="text-align: center">
           <el-col :span="1.5">
             <el-button plain  :disabled="buttondisabled" type="primary" style="width:400px;height:160px" v-hasPermi="['bs:formula:add']" @click="forceOnline">
               <span   class="el-icon-thumb"   style="font-size:45px;color:black"></span>
               <span style="font-size:45px;color:black"><strong>强制上线</strong></span>
             </el-button>
           </el-col>
         </el-row>
       </el-card>
     </el-col>

     <el-col :span="14"  inline style="height:600px;width:600px  ">
       <el-tabs type="border-card"  >
         <el-card>
         <el-col :span="14"style="height: 270px;width:800px  ">
           <span style="font-size:25px"><strong>质量状态</strong></span>
           <el-divider></el-divider>
           {{this.form.engineCheckList}}
         </el-col>
         </el-card>
         <el-card style="margin-top: 10px" >
         <el-col :span="14"style="height: 270px;width:800px  ">
           <span style="font-size:25px"><strong>最终结果</strong></span>
           <el-divider></el-divider>
           {{queryParams.productType}}
         </el-col>
         </el-card>
       </el-tabs>
     </el-col>
   </el-row>
  </div>
</template>
<script>

import { listOrderScheduling, getOrderScheduling, delOrderScheduling, addOrderScheduling, updateOrderScheduling } from "@/api/main/bs/orderScheduling/orderScheduling";
import { listPassingStationCollection, getPassingStationCollection, delPassingStationCollection, addPassingStationCollection, updatePassingStationCollection } from "@/api/main/da/passingStationCollection/passingStationCollection";
import {listLineInfo} from "@/api/main/bs/lineInfo/lineInfo";

export default {
  components: { },
  options: [],
  props: [],
  data() {
    return {
      options: [],
      total: 0,
      engineCheckList:[],
      showFlag:false,
      buttondisabled:true,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        engineNo: null,
        productType:null,
        orderNo:null,
        qualityStatus:null,
        currentWorkstation: null,
        add: null,
        engineCheckList:'暂无数据',
      },
      // 表单参数
      form: {
        engineNo: null,
        productType:null,
        orderNo:null,
        qualityStatus:null,
        currentWorkstation: null,
        add: null,
        engineCheckList:'暂无数据',
      },
      add: null,
    };
  },
  computed: {},
  watch: {},
  created() {},
  mounted() {},
  methods: {
    reset() {
      this.form = {
        engineNo:null,
        productType:null,
        orderNo:null,
        qualityStatus:null,
        currentWorkstation: null,
        add: null,
        engineCheckList:'暂无数据',
      };
      this.resetForm("form");
    },
    EngineNohandleChange(){
      if(this.form.engineNo !== null && this.form.engineNo !== undefined){
        let OrderSchedulingParam = {engineNo: null}
        OrderSchedulingParam.engineNo = this.form.engineNo;
        listOrderScheduling(OrderSchedulingParam).then(response => {
          if(response.total === 1 ){
            this.form.productType = response.rows[0].model
            this.form.orderNo = response.rows[0].orderNo
            this.form.qualityStatus = response.rows[0].qualityStatus
            this.form.currentWorkstation = response.rows[0].currentWorkstation
            this.form.add= response.rows[0].currentWorkstation+ response.rows[0].qualityStatus
            if(this.form.qualityStatus ==='不合格'){
              this.buttondisabled = false;
            }
            else{
              this.buttondisabled = true;
            }
          }
          else{
            this.reset();
            this.buttondisabled = true
            // this.$modal.msgError('输入的发动机号有误');
            const h = this.$createElement;
            this.$message({
              message: h('p',null, [
                       h('span', null, '警告 '),
                       h('i', { style: 'color: black' }, '输入的发动机号有误'),
                       h()]),
              type: 'error',
              center: true,
              offset:300
            });
          }
        });
        let PassingStationCollectionParam = {sfcCode: null}
        PassingStationCollectionParam.sfcCode = this.form.engineNo;
        listPassingStationCollection(PassingStationCollectionParam).then(ponse =>{
          this.engineCheckList = ponse.rows.locationCode ;
          if(ponse.rows.length >= 1 && this.form.engineNo !== undefined){
            this.form.engineCheckList = ''
            for (let i = 0; i < ponse.rows.length; i++) {
              this.form.engineCheckList += '   工位:'+ ponse.rows[i].locationCode+'['+ponse.rows[i].outRsSign+']'
            }
          }
          else{
            this.form.engineCheckList = '暂无数据'
          }
        });
      }
    },


  },
  }


</script>
<style scoped>
::v-deep .el-input__inner{
  height: 50px;
  width: 450px;
}
::v-deep .el-form-item__label {
  line-height: 50px;
}

/*.my-custom-modal .el-dialog__wrapper {*/
/*  width: 400px; !* 设置宽度 *!*/
/*  height: 200px; !* 设置高度 *!*/
/*  top: 50px; !* 设置距离页面顶部的位置 *!*/
/*  left: 50px; !* 设置距离页面左侧的位置 *!*/
/*}*/
</style>
